(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    261867,       6549]
NotebookOptionsPosition[    258787,       6450]
NotebookOutlinePosition[    259233,       6467]
CellTagsIndexPosition[    259190,       6464]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{
    "\:041a\:0432\:0430\:0434\:0440\:0430\:0442", " ", 
     "\:0441\:043f\:0438\:043d\:043e\:0432", " ", "2", "x2"}], " ", "*)"}],
   FontSize->36], "\[IndentingNewLine]", 
  RowBox[{
  "(*", " ", 
   "\:041e\:043f\:0440\:0435\:0434\:0435\:043b\:0435\:043d\:0438\:044f", " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"s", "=", 
     FractionBox["1", "2"]}], " ", ";"}], 
   RowBox[{"(*", " ", "\:0441\:043f\:0438\:043d", " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nS", "=", 
     RowBox[{"L", "*", "L"}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
    "\:043a\:043e\:043b\:0438\:0447\:0435\:0441\:0442\:0432\:043e", " ", 
     "\:0443\:0437\:043b\:043e\:0432", " ", "\:0441\:043e", " ", 
     "\:0441\:043f\:0438\:043d\:0430\:043c\:0438"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nB", "=", 
     SuperscriptBox["2", "nS"]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "\:043a\:043e\:043b\:0438\:0447\:0435\:0441\:0442\:0432\:043e", " ", 
     "\:0431\:0430\:0437\:0438\:0441\:043d\:044b\:0445", " ", 
     "\:0444\:0443\:043d\:043a\:0446\:0438\:0439"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"0", " ", "-", " ", 
      RowBox[{
      "\:0441\:043f\:0438\:043d", " ", "\:0432\:0432\:0435\:0440\:0445"}]}], 
     ",", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{
      "\:0441\:043f\:0438\:043d", " ", "\:0432\:043d\:0438\:0437"}]}]}], "  ",
     "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.624986903512889*^9, 3.624986941436219*^9}, 
   3.6249871943261585`*^9, 3.624987475997748*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NumToFun", "[", "n_", "]"}], ":=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", 
       RowBox[{"nS", "-", 
        RowBox[{"Length", "[", 
         RowBox[{"IntegerDigits", "[", 
          RowBox[{
           RowBox[{"n", "-", "1"}], ",", "2"}], "]"}], "]"}]}]}], "]"}], ",", 
     RowBox[{"IntegerDigits", "[", 
      RowBox[{
       RowBox[{"n", "-", "1"}], ",", "2"}], "]"}]}], "]"}]}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\:043f\:0440\:0435\:043e\:0431\:0440\:0430\:0437\:043e\:0432\:0430\:043d\
\:0438\:0435", " ", "\:043d\:043e\:043c\:0435\:0440\:0430", " ", "\:0432", 
    " ", "\:0444\:0443\:043d\:043a\:0446\:0438\:044e"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"FunToNum", "[", "a_", "]"}], ":=", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"a", ",", "2"}], "]"}], "+", "1"}]}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\:043f\:0440\:0435\:043e\:0431\:0440\:0430\:0437\:043e\:0432\:0430\:043d\
\:0438\:0435", " ", "\:0444\:0443\:043d\:043a\:0446\:0438\:0438", " ", 
    "\:0432", " ", "\:043d\:043e\:043c\:0435\:0440"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"FunToFunS", "[", "a_", "]"}], ":=", 
   RowBox[{"Partition", "[", 
    RowBox[{"a", ",", "L"}], "]"}]}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "\:0440\:0430\:0441\:043f\:0440\:0435\:0434\:0435\:043b\:0435\:043d\:0438\
\:0435", " ", "\:0441\:043f\:0438\:043d\:043e\:0432", " ", "\:043f\:043e", 
    " ", "\:043a\:0432\:0430\:0434\:0440\:0430\:0442\:0443"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RCtoNS", "[", 
    RowBox[{"r_", ",", "c_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"r", "-", "1"}], ")"}], "*", "L"}], "+", "c"}]}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Row", " ", "Col", " ", "to", " ", "site", " ", "number"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NStoRC", "[", "n_", "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"n", "-", 
       RowBox[{"Mod", "[", 
        RowBox[{"n", ",", "L", ",", "1"}], "]"}]}], "L"], "+", "1"}], ",", 
    RowBox[{"Mod", "[", 
     RowBox[{"n", ",", "L", ",", "1"}], "]"}]}], "}"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"site", " ", "number", " ", "to", " ", "Row", " ", "Col"}], " ", 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.6249870070611444`*^9, 3.6249870471388617`*^9}, {
  3.6249870950763073`*^9, 3.624987180982459*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"sz", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", 
   FractionBox["1", "2"]}], ";", 
  RowBox[{
   RowBox[{"sz", "[", 
    RowBox[{"0", ",", "1"}], "]"}], "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sz", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", "0"}], ";", 
  RowBox[{
   RowBox[{"sz", "[", 
    RowBox[{"1", ",", "1"}], "]"}], "=", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sp", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", "0"}], ";", 
  RowBox[{
   RowBox[{"sp", "[", 
    RowBox[{"0", ",", "1"}], "]"}], "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sp", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "=", "0"}], ";", 
  RowBox[{
   RowBox[{"sp", "[", 
    RowBox[{"1", ",", "1"}], "]"}], "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sm", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "=", "0"}], ";", 
  RowBox[{
   RowBox[{"sm", "[", 
    RowBox[{"0", ",", "1"}], "]"}], "=", "0"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"sm", "[", 
     RowBox[{"1", ",", "0"}], "]"}], "=", "1"}], ";", 
   RowBox[{
    RowBox[{"sm", "[", 
     RowBox[{"1", ",", "1"}], "]"}], "=", "0"}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SZ", "[", 
   RowBox[{"site_", ",", "fun1_", ",", "fun2_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"sz", "[", 
    RowBox[{
     RowBox[{
     "fun1", "\[LeftDoubleBracket]", "site", "\[RightDoubleBracket]"}], ",", 
     RowBox[{
     "fun2", "\[LeftDoubleBracket]", "site", "\[RightDoubleBracket]"}]}], 
    "]"}], 
   RowBox[{"Boole", "[", 
    RowBox[{
     RowBox[{"Delete", "[", 
      RowBox[{"fun1", ",", "site"}], "]"}], "===", 
     RowBox[{"Delete", "[", 
      RowBox[{"fun2", ",", "site"}], "]"}]}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"site_", ",", "fun1_", ",", "fun2_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"sp", "[", 
    RowBox[{
     RowBox[{
     "fun1", "\[LeftDoubleBracket]", "site", "\[RightDoubleBracket]"}], ",", 
     RowBox[{
     "fun2", "\[LeftDoubleBracket]", "site", "\[RightDoubleBracket]"}]}], 
    "]"}], 
   RowBox[{"Boole", "[", 
    RowBox[{
     RowBox[{"Delete", "[", 
      RowBox[{"fun1", ",", "site"}], "]"}], "===", 
     RowBox[{"Delete", "[", 
      RowBox[{"fun2", ",", "site"}], "]"}]}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SM", "[", 
    RowBox[{"site_", ",", "fun1_", ",", "fun2_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"sm", "[", 
     RowBox[{
      RowBox[{
      "fun1", "\[LeftDoubleBracket]", "site", "\[RightDoubleBracket]"}], ",", 
      RowBox[{
      "fun2", "\[LeftDoubleBracket]", "site", "\[RightDoubleBracket]"}]}], 
     "]"}], 
    RowBox[{"Boole", "[", 
     RowBox[{
      RowBox[{"Delete", "[", 
       RowBox[{"fun1", ",", "site"}], "]"}], "===", 
      RowBox[{"Delete", "[", 
       RowBox[{"fun2", ",", "site"}], "]"}]}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SZm", "[", "site_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"SZ", "[", 
     RowBox[{"site", ",", 
      RowBox[{"NumToFun", "[", "i", "]"}], ",", 
      RowBox[{"NumToFun", "[", "j", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "nB"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "nB"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SPm", "[", "site_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"SP", "[", 
     RowBox[{"site", ",", 
      RowBox[{"NumToFun", "[", "i", "]"}], ",", 
      RowBox[{"NumToFun", "[", "j", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "nB"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "nB"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SMm", "[", "site_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"SM", "[", 
     RowBox[{"site", ",", 
      RowBox[{"NumToFun", "[", "i", "]"}], ",", 
      RowBox[{"NumToFun", "[", "j", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "nB"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "nB"}], "}"}]}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TH", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Grid", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"FunToFunS", "[", 
        RowBox[{"NumToFun", "[", "n", "]"}], "]"}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0", "\[Rule]", "\"\<\[UpArrow]\>\""}], ",", 
         RowBox[{"1", "\[Rule]", "\"\<\[DownArrow]\>\""}]}], "}"}]}], ",", 
      RowBox[{"Spacings", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "1", ",", "nB"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6249874446384087`*^9, 3.624987457310269*^9}, {
   3.6249875062007914`*^9, 3.6249875153258286`*^9}, 3.62498777691928*^9, {
   3.624987941762843*^9, 3.624988009075267*^9}, {3.6249881339501247`*^9, 
   3.624988262481228*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[GridBox[{
      {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
      {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
      {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
      {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
      {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
      {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
      {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
      {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
      {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
      {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
      {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
      {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
      {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
      {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
      {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
      {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"], ",", 
   TagBox[GridBox[{
      {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
      {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
     },
     AutoDelete->False,
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
     GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
    "Grid"]}], "}"}]], "Output",
 CellChangeTimes->{{3.6249874714352245`*^9, 3.624987482700819*^9}, 
   3.624987516091419*^9, 3.6249877773098593`*^9, {3.6249879519659224`*^9, 
   3.6249880093408437`*^9}, 3.624988139028208*^9, {3.62498817084066*^9, 
   3.624988263356227*^9}, 3.625074933627595*^9, 3.6251530601338167`*^9, 
   3.625155142730981*^9, 3.62525105049827*^9, 3.6252515472719316`*^9, 
   3.625383364051939*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{
   RowBox[{"SZm", "[", 
    RowBox[{"RCtoNS", "[", 
     RowBox[{"2", ",", "2"}], "]"}], "]"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"TH", ",", "TH"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6249877840755005`*^9, 3.6249878380598364`*^9}, {
   3.624988338356142*^9, 3.624988362996703*^9}, 3.624988394059204*^9, {
   3.62498843318416*^9, 3.6249884520591373`*^9}, {3.6249885049184527`*^9, 
   3.624988525012143*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       StyleBox["\[Null]",
        ShowStringCharacters->False], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm]},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       "0", "0", "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       "0", "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", 
       FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", 
       FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", 
       FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], "0", "0", "0", "0", "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", 
       FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], "0", "0", "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       FractionBox["1", "2"], "0", "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       FractionBox["1", "2"], "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", 
       FractionBox["1", "2"], "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {False, True, {False}, False}, "ColumnsIndexed" -> {}, 
       "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}], 
   "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$, TableHeadings -> {{
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}, {
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}}]]]], "Output",
 CellChangeTimes->{{3.6249878108254857`*^9, 3.6249878392472873`*^9}, {
   3.624988207434368*^9, 3.6249882659968014`*^9}, {3.6249883432935996`*^9, 
   3.6249883941529055`*^9}, {3.624988433465361*^9, 3.6249884523872147`*^9}, {
   3.624988510824648*^9, 3.6249885253871317`*^9}, 3.625074935221483*^9, 
   3.6253833684199467`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], ".", 
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], ".", 
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "]"}], ".", 
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "]"}], ".", 
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "]"}], ".", 
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "]"}], ".", 
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}], ".", 
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}], ".", 
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "]"}]}]}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"TH", ",", "TH"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.624989411204382*^9, 3.6249894241731157`*^9}, {
  3.6249894590793257`*^9, 3.624989606266659*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       StyleBox["\[Null]",
        ShowStringCharacters->False], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm]},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "2", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "2"}], "0", "0", "0", "0", "0", "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "2"}], "0", "0", "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "2"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {False, True, {False}, False}, "ColumnsIndexed" -> {}, 
       "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}], 
   "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$, TableHeadings -> {{
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}, {
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}}]]]], "Output",
 CellChangeTimes->{3.6249896217041035`*^9, 3.625074938018567*^9, 
  3.6253833713527517`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"SZm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{"k", ",", "m"}], "]"}], "]"}], ".", 
       RowBox[{"SZm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{"k", ",", 
          RowBox[{"Mod", "[", 
           RowBox[{
            RowBox[{"m", "+", "1"}], ",", "L", ",", "1"}], "]"}]}], "]"}], 
        "]"}]}], "+", 
      RowBox[{
       RowBox[{"SZm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{"k", ",", "m"}], "]"}], "]"}], ".", 
       RowBox[{"SZm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{
          RowBox[{"Mod", "[", 
           RowBox[{
            RowBox[{"k", "+", "1"}], ",", "L", ",", "1"}], "]"}], ",", "m"}], 
         "]"}], "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "L"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "L"}], "}"}]}], "]"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"TH", ",", "TH"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.624989847091919*^9, 3.6249899272167907`*^9}, {
  3.6249899578730416`*^9, 3.6249899747479916`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       StyleBox["\[Null]",
        ShowStringCharacters->False], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm]},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "2", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "2"}], "0", "0", "0", "0", "0", "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "2"}], "0", "0", "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "2"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {False, True, {False}, False}, "ColumnsIndexed" -> {}, 
       "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}], 
   "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$, TableHeadings -> {{
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}, {
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}}]]]], "Output",
 CellChangeTimes->{3.624989976997984*^9, 3.6250749438627915`*^9, 
  3.625383374160757*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{
   RowBox[{"SMm", "[", 
    RowBox[{"RCtoNS", "[", 
     RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"TH", ",", "TH"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.624989183401538*^9, 3.6249891900795946`*^9}, 
   3.6249893106576195`*^9, 3.624989360954437*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       StyleBox["\[Null]",
        ShowStringCharacters->False], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm]},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1",
        "0", "0", "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {False, True, {False}, False}, "ColumnsIndexed" -> {}, 
       "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}], 
   "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$, TableHeadings -> {{
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}, {
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}}]]]], "Output",
 CellChangeTimes->{3.6249891909858446`*^9, 3.6249893110794477`*^9, 
  3.6249893623762746`*^9, 3.6250749480506105`*^9, 3.625383377171562*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"SPm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{"k", ",", "m"}], "]"}], "]"}], ".", 
       RowBox[{"SMm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{"k", ",", 
          RowBox[{"Mod", "[", 
           RowBox[{
            RowBox[{"m", "+", "1"}], ",", "L", ",", "1"}], "]"}]}], "]"}], 
        "]"}]}], "+", 
      RowBox[{
       RowBox[{"SPm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{"k", ",", "m"}], "]"}], "]"}], ".", 
       RowBox[{"SMm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{
          RowBox[{"Mod", "[", 
           RowBox[{
            RowBox[{"k", "+", "1"}], ",", "L", ",", "1"}], "]"}], ",", "m"}], 
         "]"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"SMm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{"k", ",", "m"}], "]"}], "]"}], ".", 
       RowBox[{"SPm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{"k", ",", 
          RowBox[{"Mod", "[", 
           RowBox[{
            RowBox[{"m", "+", "1"}], ",", "L", ",", "1"}], "]"}]}], "]"}], 
        "]"}]}], "+", 
      RowBox[{
       RowBox[{"SMm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{"k", ",", "m"}], "]"}], "]"}], ".", 
       RowBox[{"SPm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{
          RowBox[{"Mod", "[", 
           RowBox[{
            RowBox[{"k", "+", "1"}], ",", "L", ",", "1"}], "]"}], ",", "m"}], 
         "]"}], "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "L"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "L"}], "}"}]}], "]"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"TH", ",", "TH"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.624990065669795*^9, 3.6249900901072702`*^9}, {
  3.6249901218728557`*^9, 3.6249901347321796`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       StyleBox["\[Null]",
        ShowStringCharacters->False], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm]},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "2", "0", "2", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "2", "0", "0", "0", "0", "0", "0", "2", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "2", "0", "0", "2", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "2", "0", "0", "0", "0", "0", "0", "2", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "2", "0", "0", "2", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "2", "0", "2", "0", "0", "0", "0", "2", "0",
        "2", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "2",
        "0", "2", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "2", "0", "2", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "2", "0", "2", "0", "0", "0", "0", "2", "0",
        "2", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "2", "0", "0", "2", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "2", "0", "0", "0", "0",
        "0", "0", "2", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "2", "0", "0", "2", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "2", "0", "0", "0", "0",
        "0", "0", "2", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "2",
        "0", "2", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {False, True, {False}, False}, "ColumnsIndexed" -> {}, 
       "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}], 
   "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$, TableHeadings -> {{
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}, {
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}}]]]], "Output",
 CellChangeTimes->{3.624990144310293*^9, 3.625074957566987*^9, 
  3.6253833816487703`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"HeisMatrix", "=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"SPm", "[", 
           RowBox[{"RCtoNS", "[", 
            RowBox[{"k", ",", "m"}], "]"}], "]"}], ".", 
          RowBox[{"SMm", "[", 
           RowBox[{"RCtoNS", "[", 
            RowBox[{"k", ",", 
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{"m", "+", "1"}], ",", "L", ",", "1"}], "]"}]}], "]"}], 
           "]"}]}], "+", 
         RowBox[{
          RowBox[{"SPm", "[", 
           RowBox[{"RCtoNS", "[", 
            RowBox[{"k", ",", "m"}], "]"}], "]"}], ".", 
          RowBox[{"SMm", "[", 
           RowBox[{"RCtoNS", "[", 
            RowBox[{
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{"k", "+", "1"}], ",", "L", ",", "1"}], "]"}], ",", 
             "m"}], "]"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"SMm", "[", 
           RowBox[{"RCtoNS", "[", 
            RowBox[{"k", ",", "m"}], "]"}], "]"}], ".", 
          RowBox[{"SPm", "[", 
           RowBox[{"RCtoNS", "[", 
            RowBox[{"k", ",", 
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{"m", "+", "1"}], ",", "L", ",", "1"}], "]"}]}], "]"}], 
           "]"}]}], "+", 
         RowBox[{
          RowBox[{"SMm", "[", 
           RowBox[{"RCtoNS", "[", 
            RowBox[{"k", ",", "m"}], "]"}], "]"}], ".", 
          RowBox[{"SPm", "[", 
           RowBox[{"RCtoNS", "[", 
            RowBox[{
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{"k", "+", "1"}], ",", "L", ",", "1"}], "]"}], ",", 
             "m"}], "]"}], "]"}]}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"SZm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{"k", ",", "m"}], "]"}], "]"}], ".", 
       RowBox[{"SZm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{"k", ",", 
          RowBox[{"Mod", "[", 
           RowBox[{
            RowBox[{"m", "+", "1"}], ",", "L", ",", "1"}], "]"}]}], "]"}], 
        "]"}]}], "+", 
      RowBox[{
       RowBox[{"SZm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{"k", ",", "m"}], "]"}], "]"}], ".", 
       RowBox[{"SZm", "[", 
        RowBox[{"RCtoNS", "[", 
         RowBox[{
          RowBox[{"Mod", "[", 
           RowBox[{
            RowBox[{"k", "+", "1"}], ",", "L", ",", "1"}], "]"}], ",", "m"}], 
         "]"}], "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "L"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "L"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", 
  RowBox[{"HeisMatrix", ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"TH", ",", "TH"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.624990349856971*^9, 3.6249904058724957`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       StyleBox["\[Null]",
        ShowStringCharacters->False], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm]},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "2", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "1", "0", "1", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "1", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "1", "0", "0", "1", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "1", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "1", "0", "0", "1", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "1", "0", "1", 
       RowBox[{"-", "2"}], "0", "0", "0", "1", "0", "1", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1",
        "0", "1", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "1", "0", "1", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "1", "0", "1", "0", "0", "0", 
       RowBox[{"-", "2"}], "1", "0", "1", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "1", "0", "0", "1", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0",
        "0", "0", "1", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "1", "0", "0", "1", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0",
        "0", "0", "1", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1",
        "0", "1", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "2"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {False, True, {False}, False}, "ColumnsIndexed" -> {}, 
       "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}], 
   "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$, TableHeadings -> {{
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}, {
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}}]]]], "Output",
 CellChangeTimes->{3.62499041068499*^9, 3.625074962848667*^9, 
  3.625153074119305*^9, 3.6251551559351573`*^9, 3.6252510578582172`*^9, 
  3.625251289814069*^9, 3.6252515505534406`*^9, 3.625383385720377*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SzSum", "=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{"SZm", "[", 
      RowBox[{"RCtoNS", "[", 
       RowBox[{"k", ",", "m"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "L"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "L"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", 
  RowBox[{"SzSum", ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"TH", ",", "TH"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6250750685914392`*^9, 3.6250751125324135`*^9}, {
  3.6250752293541503`*^9, 3.625075231760591*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       StyleBox["\[Null]",
        ShowStringCharacters->False], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm]},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "2", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "1"}], "0", "0", "0", "0", "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "1"}], "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", 
       RowBox[{"-", "1"}], "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", 
       RowBox[{"-", "1"}], "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", 
       RowBox[{"-", "2"}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {False, True, {False}, False}, "ColumnsIndexed" -> {}, 
       "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}], 
   "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$, TableHeadings -> {{
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}, {
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}}]]]], "Output",
 CellChangeTimes->{3.6250751140637493`*^9, 3.625153080854229*^9, 
  3.6251551680923853`*^9, 3.6252510619522915`*^9, 3.62525129172047*^9, 
  3.625251553694309*^9, 3.625383388965183*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ham", "[", 
   RowBox[{"J_", ",", "B_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"J", " ", "HeisMatrix"}], "+", 
   RowBox[{"B", " ", "SzSum"}]}]}]], "Input",
 CellChangeTimes->{{3.6250752353858776`*^9, 3.625075297187639*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{
   RowBox[{"Ham", "[", 
    RowBox[{"J", ",", "B"}], "]"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"TH", ",", "TH"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6250753153609514`*^9, 3.6250753216114464`*^9}, {
  3.6251530968399115`*^9, 3.6251531042935944`*^9}, {3.6251532389918575`*^9, 
  3.6251532408045025`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       StyleBox["\[Null]",
        ShowStringCharacters->False], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm]},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], 
       RowBox[{
        RowBox[{"2", " ", "B"}], "+", 
        RowBox[{"2", " ", "J"}]}], "0", "0", "0", "0", "0", "0", "0", "0", 
       "0", "0", "0", "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "B", "J", "0", "J", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "J", "B", "0", "0", "0", "0", "0", "J", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "J", "0", "0", "J", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "J", "0", "0", "B", "0", "0", "0", "J", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "J", "0", "0", "J", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "J", "0", "J", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "J"}], "0", "0", "0", "J", "0", "J", "0", 
       "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", 
       RowBox[{"-", "B"}], "0", "0", "0", "J", "0", "J", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "J", "0", "J", "0", "0", "0", "B", "0", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "J", "0", "J", "0", "0", "0", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "J"}], "J", "0", "J", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "J", "0", "0", "J", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "J", "0", "0", "0", 
       RowBox[{"-", "B"}], "0", "0", "J", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "J", "0", "0", "J", "0", "0",
        "0", "0", "0", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[UpArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "J", "0", "0", "0", "0",
        "0", 
       RowBox[{"-", "B"}], "J", "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[UpArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "J",
        "0", "J", 
       RowBox[{"-", "B"}], "0"},
      {
       TagBox[
        TagBox[GridBox[{
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"},
           {"\<\"\[DownArrow]\"\>", "\<\"\[DownArrow]\"\>"}
          },
          AutoDelete->False,
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {{0}}}],
         "Grid"],
        HoldForm], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
        "0", "0", "0", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "B"}], "+", 
        RowBox[{"2", " ", "J"}]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {False, True, {False}, False}, "ColumnsIndexed" -> {}, 
       "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}], 
   "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$, TableHeadings -> {{
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}, {
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[UpArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[UpArrow]", "\[DownArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {"\[DownArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[UpArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {"\[UpArrow]", "\[UpArrow]"}}, 
        Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[UpArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[UpArrow]"}}, Spacings -> {0, 0}], 
       Grid[{{"\[DownArrow]", "\[DownArrow]"}, {
         "\[DownArrow]", "\[DownArrow]"}}, Spacings -> {0, 0}]}}]]]], "Output",
 CellChangeTimes->{3.625075322924014*^9, 3.6251531084970436`*^9, 
  3.6251551779369087`*^9, 3.625251070656104*^9, 3.6252514117456217`*^9, 
  3.62525156096051*^9, 3.6253833927559896`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "\:0420\:0430\:0441\:0447\:0435\:0442", " ", 
     "\:043c\:0430\:0442\:0440\:0438\:0446\:044b", " ", 
     "\:043f\:043e\:043b\:043d\:043e\:0433\:043e", " ", 
     "\:0433\:0430\:043c\:0438\:043b\:044c\:0442\:043e\:043d\:0438\:0430\:043d\
\:0430", " ", "\:043f\:0440\:0438", " ", 
     "\:0437\:0430\:0434\:0430\:043d\:043d\:044b\:0445", " ", 
     "\:0437\:043d\:0430\:0447\:0435\:043d\:0438\:044f\:0445", " ", 
     "\:043f\:0430\:0440\:0430\:043c\:0435\:0442\:0440\:043e\:0432", " ", 
     "J"}], ",", " ", 
    RowBox[{"B", ";", " ", 
     RowBox[{
     "\:043f\:0435\:0440\:0438\:043e\:0434\:0438\:0447\:0435\:0441\:043a\:0438\
\:0435", " ", "\:0433\:0440\:0430\:043d\:0438\:0447\:043d\:044b\:0435", " ", 
      "\:0443\:0441\:043b\:043e\:0432\:0438\:044f"}]}]}], "  ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"J", "=", 
     RowBox[{"-", "1."}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"B", "=", 
     RowBox[{"-", "0.5"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"M", "=", 
     RowBox[{"Ham", "[", 
      RowBox[{"J", ",", "B"}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6240366633453307`*^9, 3.6240367365014086`*^9}, 
   3.6240375350782185`*^9, 3.6240376170468283`*^9, 3.6240449489063644`*^9, 
   3.6240450088906374`*^9, 3.62404505398431*^9, 3.6240452633277035`*^9, 
   3.6240454204368105`*^9, {3.6240820311861143`*^9, 3.6240820562037306`*^9}, 
   3.62408209869149*^9, 3.624082273330397*^9, {3.624082362056214*^9, 
   3.6240823623531113`*^9}, 3.624102771489194*^9, 3.624102866293587*^9, 
   3.6241029112346983`*^9, 3.6241030180712843`*^9, {3.6241030652157116`*^9, 
   3.6241031193293962`*^9}, 3.6241031822719126`*^9, {3.624103217540306*^9, 
   3.624103248714664*^9}, 3.6241034333231153`*^9, {3.6241149343447075`*^9, 
   3.6241149361104727`*^9}, 3.624114969097438*^9, {3.6241150948574905`*^9, 
   3.6241151246411123`*^9}, 3.624115159956388*^9, 3.6241153860249267`*^9, {
   3.6241736781280475`*^9, 3.6241737129473085`*^9}, 3.624173744521764*^9, {
   3.6251549982351437`*^9, 3.6251550569741974`*^9}, {3.6251552302536225`*^9, 
   3.6251552429265056`*^9}, 3.6252510768285146`*^9, 3.6252514715784783`*^9, 
   3.625252474720295*^9, 3.6252525165048494`*^9, {3.6252527463824*^9, 
   3.625252750273332*^9}, 3.6252528073403454`*^9, {3.6252529916798267`*^9, 
   3.6252529968677635`*^9}, 3.6252530453213286`*^9, 3.6252532163856745`*^9, 
   3.625383664009266*^9, 3.6253837417442026`*^9, 3.6253839107080994`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"es", "=", 
   RowBox[{"Eigensystem", "[", "M", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ev", "=", 
   RowBox[{"es", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.624045375608762*^9, 3.62404538521812*^9}, {
  3.6241027818806*^9, 3.624102786927924*^9}, {3.6241031848658285`*^9, 
  3.6241031862253494`*^9}, {3.6253837463618107`*^9, 3.6253837566578283`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ZZ", "[", "\[Beta]_", "]"}], ":=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "\[Beta]"}], "*", 
       RowBox[{"ev", "[", 
        RowBox[{"[", "k", "]"}], "]"}]}]], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "nB"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"F", "[", "T_", "]"}], ":=", 
   RowBox[{
    RowBox[{"-", "T"}], "*", 
    RowBox[{"Log", "[", 
     RowBox[{"ZZ", "[", 
      FractionBox["1", "T"], "]"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"eAn", "[", "T_", "]"}], ":=", 
   RowBox[{
    FractionBox["1", "nS"], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"F", "[", "T", "]"}], "-", 
      RowBox[{"T", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SubscriptBox["\[PartialD]", "x"], 
          RowBox[{"F", "[", "x", "]"}]}], "/.", 
         RowBox[{"x", "\[Rule]", "T"}]}], ")"}]}]}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"heatCap", "[", "T_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[PartialD]", "x"], 
     RowBox[{"eAn", "[", "x", "]"}]}], "/.", 
    RowBox[{"x", "\[Rule]", "T"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.62403692206361*^9, 3.624036985860369*^9}, {
   3.624037073219631*^9, 3.6240370738290052`*^9}, {3.6240371452663493`*^9, 
   3.62403724392243*^9}, {3.6240374479221163`*^9, 3.624037492593915*^9}, 
   3.624037574328151*^9, {3.624103188584877*^9, 3.624103189788133*^9}, {
   3.6252515764773607`*^9, 3.625251582915405*^9}, {3.62525186379699*^9, 
   3.6252518743602867`*^9}, {3.6252520228251524`*^9, 
   3.6252520253097596`*^9}, {3.6252522178093204`*^9, 3.625252252968343*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"gfAn", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    FractionBox[
     RowBox[{"F", "[", "T", "]"}], "nS"], ",", 
    RowBox[{"{", 
     RowBox[{"T", ",", "0.001", ",", "5."}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "5"}], "}"}], ",", "All"}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"geAn", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"eAn", "[", "T", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"T", ",", "0.001", ",", "5."}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "5"}], "}"}], ",", "All"}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"gheatCap", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"heatCap", "[", "T", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"T", ",", "0.001", ",", "5."}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "5"}], "}"}], ",", "All"}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}]}], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJw903k0Ff0fB3Dbtd5s02O5ZStPtpCIVp+REmVrkaUnCiUqWyoUWlWUtKin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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -3.6},
  Method->{},
  PlotRange->{{0, 5}, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.6251551929849987`*^9, 3.625251082625801*^9, 
  3.6252514196368246`*^9, 3.6252514761881695`*^9, 3.625251594963197*^9, 
  3.625252257921856*^9, 3.6252524794550085`*^9, 3.6252525219896116`*^9, 
  3.625252755976862*^9, 3.6252528118250275`*^9, 3.625253001758777*^9, 
  3.6252530489309845`*^9, 3.6252532203703146`*^9, 3.625383469320924*^9, 
  3.625383669609676*^9, 3.6253837658930445`*^9, 3.625383917400511*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJw90ws0VGsbB3ARCSlNnaP6KkqpcQnJ7TierRBKQxfhFBqljFwqt1OUUhQl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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -0.76},
  Method->{},
  PlotRange->{{0, 5}, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.6251551929849987`*^9, 3.625251082625801*^9, 
  3.6252514196368246`*^9, 3.6252514761881695`*^9, 3.625251594963197*^9, 
  3.625252257921856*^9, 3.6252524794550085`*^9, 3.6252525219896116`*^9, 
  3.625252755976862*^9, 3.6252528118250275`*^9, 3.625253001758777*^9, 
  3.6252530489309845`*^9, 3.6252532203703146`*^9, 3.625383469320924*^9, 
  3.625383669609676*^9, 3.6253837658930445`*^9, 3.625383917696912*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJw9lnk4VWsbxg2RFGJrkgqpDEUTqXAvDUpl6BRRx7RNUSGhzDQRHUNIsQkN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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 5}, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.6251551929849987`*^9, 3.625251082625801*^9, 
  3.6252514196368246`*^9, 3.6252514761881695`*^9, 3.625251594963197*^9, 
  3.625252257921856*^9, 3.6252524794550085`*^9, 3.6252525219896116`*^9, 
  3.625252755976862*^9, 3.6252528118250275`*^9, 3.625253001758777*^9, 
  3.6252530489309845`*^9, 3.6252532203703146`*^9, 3.625383469320924*^9, 
  3.625383669609676*^9, 3.6253837658930445`*^9, 3.625383918601713*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"mAv", "[", "T_", "]"}], ":=", 
   FractionBox[
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Chop", "[", 
          RowBox[{"es", "[", 
           RowBox[{"[", 
            RowBox[{"2", ",", "n"}], "]"}], "]"}], "]"}], ".", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "4"], 
           RowBox[{"Sum", "[", 
            RowBox[{
             RowBox[{"SZm", "[", 
              RowBox[{"RCtoNS", "[", 
               RowBox[{"k", ",", "m"}], "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "1", ",", "L"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"m", ",", "1", ",", "L"}], "}"}]}], "]"}]}], ")"}], ".", 
         RowBox[{"Chop", "[", 
          RowBox[{"es", "[", 
           RowBox[{"[", 
            RowBox[{"2", ",", "n"}], "]"}], "]"}], "]"}]}], ")"}], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"ev", "[", 
           RowBox[{"[", "n", "]"}], "]"}], "T"]}]]}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "1", ",", "nB"}], "}"}]}], "]"}], 
    RowBox[{"ZZ", "[", 
     FractionBox["1", "T"], "]"}]]}], ";"}], "\n", 
 RowBox[{"gmAv", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{"mAv", "[", "T", "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"T", ",", "0.001", ",", "5."}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "5"}], "}"}], ",", "All"}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.624045861451682*^9, 3.624045870748541*^9}, {
   3.6240461427324524`*^9, 3.624046159435549*^9}, {3.6240465942004337`*^9, 
   3.624046625637878*^9}, {3.6240467831063595`*^9, 3.624046796434462*^9}, 
   3.6240842011997423`*^9, {3.624085507889202*^9, 3.624085549697126*^9}, {
   3.624102985975006*^9, 3.6241029897253256`*^9}, {3.624115035258959*^9, 
   3.6241150824502525`*^9}, 3.6251535860108685`*^9, 3.6251536476719933`*^9, 
   3.6251550951959944`*^9, {3.6252513860248375`*^9, 3.6252513920565643`*^9}, {
   3.6252526866432657`*^9, 3.6252526964096637`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJw91ns0ldkbB3AiihniNZV+oygRhUlKib67yEQJFaFCx6RIKJJcotR0MyFF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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.02},
  Method->{},
  PlotRange->{{0, 5}, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.6251551970321894`*^9, 3.6252510927984915`*^9, 
  3.6252512240901275`*^9, 3.6252514237465343`*^9, 3.625251480657284*^9, 
  3.625252278767265*^9, 3.6252524868149652`*^9, 3.625252527318168*^9, 
  3.6252527004881105`*^9, 3.6252527604615912`*^9, 3.625252819935055*^9, 
  3.6252530069153967`*^9, 3.6252530518531017`*^9, 3.625253223542441*^9, 
  3.6253834798509426`*^9, 3.625383676161687*^9, 3.6253837754558616`*^9, 
  3.625383923203721*^9}]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.6251552846329145`*^9}],

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", " ", 
   RowBox[{
   "\:041e\:0442\:043a\:0440\:044b\:0442\:044b\:0435", " ", 
    "\:0433\:0440\:0430\:043d\:0438\:0447\:043d\:044b\:0435", " ", 
    "\:0443\:0441\:043b\:043e\:0432\:0438\:044f", " ", "\:0434\:043b\:044f", 
    " ", "\:0440\:0435\:0448\:0435\:0442\:043a\:0438", " ", "2", "x2"}], " ", 
   "*)"}],
  FontSize->24]], "Input",
 CellChangeTimes->{{3.625155289180191*^9, 3.6251553368870754`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ham2", "[", 
   RowBox[{"J_", ",", "B_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"J", " "}], "2"], "HeisMatrix"}], "+", 
   RowBox[{"B", " ", "SzSum"}]}]}]], "Input",
 CellChangeTimes->{{3.6251554160340424`*^9, 3.625155422472057*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"J", "=", 
   RowBox[{"-", "1."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"-", "0.5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M2", "=", 
   RowBox[{"Ham2", "[", 
    RowBox[{"J", ",", "B"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.625155462928402*^9, 3.625155464741048*^9}, 
   3.625251106268342*^9, 3.6252524107777386`*^9, 3.6252524922372875`*^9, 
   3.625252532552993*^9, {3.6252527699467635`*^9, 3.625252772196913*^9}, 
   3.6252528270762806`*^9, {3.6252530579161167`*^9, 3.625253060697587*^9}, 
   3.625253240833449*^9, 3.6253836836029005`*^9, 3.625383792787492*^9, 
   3.6253838743600354`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"es2", "=", 
   RowBox[{"Eigensystem", "[", "M2", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ev2", "=", 
   RowBox[{"es2", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.624045375608762*^9, 3.62404538521812*^9}, {
  3.6241027818806*^9, 3.624102786927924*^9}, {3.6241031848658285`*^9, 
  3.6241031862253494`*^9}, {3.62515548461763*^9, 3.6251554896649065`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ZZ2", "[", "\[Beta]_", "]"}], ":=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "\[Beta]"}], "*", 
       RowBox[{"ev2", "[", 
        RowBox[{"[", "k", "]"}], "]"}]}]], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "nB"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"F2", "[", "T_", "]"}], ":=", 
   RowBox[{
    RowBox[{"-", "T"}], "*", 
    RowBox[{"Log", "[", 
     RowBox[{"ZZ2", "[", 
      FractionBox["1", "T"], "]"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"eAn2", "[", "T_", "]"}], ":=", 
   RowBox[{
    FractionBox["1", "nS"], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"F2", "[", "T", "]"}], "-", 
      RowBox[{"T", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SubscriptBox["\[PartialD]", "x"], 
          RowBox[{"F2", "[", "x", "]"}]}], "/.", 
         RowBox[{"x", "\[Rule]", "T"}]}], ")"}]}]}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"heatCap2", "[", "T_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[PartialD]", "x"], 
     RowBox[{"eAn2", "[", "x", "]"}]}], "/.", 
    RowBox[{"x", "\[Rule]", "T"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.62403692206361*^9, 3.624036985860369*^9}, {
   3.624037073219631*^9, 3.6240370738290052`*^9}, {3.6240371452663493`*^9, 
   3.62403724392243*^9}, {3.6240374479221163`*^9, 3.624037492593915*^9}, 
   3.624037574328151*^9, {3.624103188584877*^9, 3.624103189788133*^9}, {
   3.6251554907587442`*^9, 3.625155511541649*^9}, {3.625252292424596*^9, 
   3.6252523265679555`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"gfAn2", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    FractionBox[
     RowBox[{"F2", "[", "T", "]"}], "nS"], ",", 
    RowBox[{"{", 
     RowBox[{"T", ",", "0.001", ",", "5."}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "5"}], "}"}], ",", "All"}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"geAn2", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"eAn2", "[", "T", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"T", ",", "0.001", ",", "5."}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "5"}], "}"}], ",", "All"}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"gheatCap2", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"heatCap2", "[", "T", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"T", ",", "0.001", ",", "5."}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "5"}], "}"}], ",", "All"}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6251555528105593`*^9, 3.6251555584203825`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJwd0wk0VP0bB3BjCyNhkuUtEVmjLNmS50qUrSSk+r8IKSqEVPa3jWiherWJ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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -3.5},
  Method->{},
  PlotRange->{{0, 5}, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.625155566327214*^9, 3.625251121800785*^9, 3.625251235794174*^9, 
   3.6252513107844777`*^9, 3.6252514900330143`*^9, 3.6252523354592366`*^9, 
   3.6252524169188147`*^9, 3.625252497472047*^9, 3.6252525381471376`*^9, 
   3.6252527777754655`*^9, 3.6252528326391735`*^9, 3.625253066541752*^9, {
   3.625253230973247*^9, 3.6252532487871666`*^9}, 3.62538352981783*^9, 
   3.625383690264112*^9, 3.6253838021787086`*^9, 3.625383882253649*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJwd0wk4VWkYB/BLUUmEpkEpSjUYLbZKy3u0KEo0RZamLElUVGQJuW0qsk2Y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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -0.5},
  Method->{},
  PlotRange->{{0, 5}, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.625155566327214*^9, 3.625251121800785*^9, 3.625251235794174*^9, 
   3.6252513107844777`*^9, 3.6252514900330143`*^9, 3.6252523354592366`*^9, 
   3.6252524169188147`*^9, 3.625252497472047*^9, 3.6252525381471376`*^9, 
   3.6252527777754655`*^9, 3.6252528326391735`*^9, 3.625253066541752*^9, {
   3.625253230973247*^9, 3.6252532487871666`*^9}, 3.62538352981783*^9, 
   3.625383690264112*^9, 3.6253838021787086`*^9, 3.62538388255005*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJw9l3k01VvYx0kUFem4JaWoZMoQQsL3h0Ii6oaoTJkiUokGojrmBkNKZt1M
iTLPQ0RmZTrnGI5jvGTITIO83nXf9e5/Puu79rP3fp7vevZaewtaXTtrs46J
iYmfmYnpf1n6dqdZsZUB/iNDxaYpaCi9whpM/zfyrFi3rCa74D/GqxTRPwkn
f3fDf3xRWmpKVtdX8Pz/eIvxhIx75Q/wf1SxSmUu0R8k4z+6llrbWdbt3+CP
/3hbxUboY+eSWND/r7cdFBhqOP0U/9FZJcegYlm/MBgsrs8XrDhSVHKlXFaP
ngqFlaAje9/3AZU8TgG2A71h8CsUXL2hsU01f7JlM+e1cEyEKVIK+4+qFjR6
kZaZXoKLq8IgO+OiakGaFN9AaAQ0yAMCvzfdVS0M7BNoPBCJAOf662/5nqsW
XXkmnJcXBf9jIiatAmmqRdqQjNeOgc7LgyOTphWqxcLf5QK7YnGmaXDjx6mv
qmaPWviV5OMRcJztG8u+AVX6DWFBqdV4tB2VNIngm1E1t/I6cKA2AZ9PG7Zr
Wv1RZZyhCO8MeY1h69T1UdHssFCTEuc0/QcF5+wvWMbxgCHtJ8my/w2yeN+f
ZB7ZC0uBvsPL429wLf5gzPFmYQxwKRyZzEmEofF16mn5w7Bafao44JmE4VOS
y0IyihiYGjlG0UyGg/Ol7s7nBKzoqmjkSkFMl6HTOgVNDDS9UP9ITYFszNgW
TRE9XC6dOpGXkAqTk3lKWrVnMfRO82Saw1uY1xsI8TYYwzo6VjdeNg3J4Yfc
wzMuYShoUT/8dxoqMzqbEtSsYH3v9N+B1e+AYxTJBXFbDDkkGXk9TceJQPdX
mdEOsDH9Y+JqnAGnkQHHY6+uYeSk0aUrAu9xZkT/3GzoDdgezbAwG3uPH5W9
lfOvb8GVhyVL1OQDYhtdLAtXbkNu83vZN6UfcCAg5XbzPx6YZ7mQu2dfJqrf
1M3H63gj5xebwivfTDAW89Fu/xCuc1kFpPFMfOOhgfSODLlxM6Wn+llYeZz5
tITkh9yuPJVHvNl4mZ67YVj3MdxarcpXPLIhVyXuorf7GeTrOdVu92fjgqfQ
3T+sIcgrtD3u9DYHtpyZrRb7nyMvYvspY+U8CN2Q+8HFFAW34MrGr/F58B3J
KbBpj4a8v/NpXdZ8hNpl2jVnxSLfveaMWnM+dqX7SZueSECBkdt5cYtC6FoV
H+nWTkRzhafnzqZCKMe7p3DYJWFQzOf1BqUi2Dv5PMn3SwbnatjEIKkYr20f
Ca1vSYV1cqZ39OcSmP5QfLngmIGNHm7tvjsqMOGWGlrdmo3cxszfS/erUG77
wNE0pgScziJ6XXr1UKfTXx5yqsHdgdbLud71MOV1aPFJrcGwkefd4Ox6lEZ5
Fs8M16AErcmaOxuwTXCobr35Zzhwe6zLHmpAgve7qwfP1qI6pyU/6F4TxgQb
suyV61HmeSwk9twXhGfUpH/f1Yz5/ODdm52/wNf/ewWraTPEZoeT7/h9wURE
aChPRDPCbYPLzhV9wZDrZ4KHpwVX9YfHOQS+guPzbZkPrF/AJ/hM0338KzxY
axOjf37BrU8Dv/QftuF4uyylu7UVKTIKnSpRbcieG79ZMNWKrvigD+I5bai/
vGPCmaMNqp5yNhtG2pBpluduo9aGjfK+zWUn29EY9nzpUnobopNFEyS4OxDZ
vlL+waMdzX/dv7dLrAMm0nPpxeHtYCa3GrJrdGCs7vnZ0Ix22Frc4xh27UDw
ppWGuL52SO1suhlN7cAo18NuYXSgMtBFc1N8JzSc3LnM5zowv/xJ4EdBJ9yi
9uZ2buyEsN3OXyNfOzFi0Oi8dU8nHmtUvq9koeBo6Q/zWq1OGP4m7bxrR8ET
9oN/IaIT/g72c3beFFTf4ecpSetEEbWkyfAVBWmO7cLLZZ3Yk2vz8HADBXcc
WOzfDXVi1Cl/fFSSiqa59Vp/DlHA17OpplOLiuRDnjVXVSnQ07GI/2RBxYN2
Pd8IfQqyDrIbxodSwfpT5rDwdQru9ZmWGS9ScYV2kn1PJgWcZ/4E15TSoMxe
UmNzgIrOKNFzX6k0KI0G8xXLUBE7cm5HzxwNV//9qPORoELCIy1mRrQLR79/
KmNcoEI3+fzb3S+6wJYhfMXlKRU8s4+chDO7IKE9OWMQSUWP8ntpmcYuOMtK
fB5MpMKxlTVfa103PHnUzARLqAhcyaq64dwNBXFRjfXDVJzVpvt6BnRjw97u
HV5TVPCFsev4v1mb5+ZPyliiIlXE4ktMVzeIEQVbCXYaXG4GhaUsdGM8cf8F
T24aFMvyjLK39sDx7/Bnj3bSUPv3lt5azR50yRVczBGhIThWMb7NsgcHreaa
+6RoMB67fJnu0YMERMpWydMwcr9obC6rB9uP1L3O1qAho2743Z+mHgy3Xov8
eJIGNx5uF/axHkyMhpoF6NPA+tZucc/eXsRIqalqm9LQOB9aKKrUi76QYmPC
nIbnKPOQM+yFWb7t0fnLNFwMHANc1uJ7vtpa29NwoIOHRSdoLT5WxSbkKg0T
e4mac0m96FryK77nQkO2g2OA+cdePCPzzu53pUGdqZLr1lIvLDNGRD7cpYHj
1GSr1zY6LP0WiXBPGlrDeV8EStBxpKbBXsmbhkiGhkm4Nh2dxyyl4h/SYCl+
bXf8ZToEwxoOfCbTIOIW2ff2Ph0n6oW73vvSMF1R/Tr3FR0hzIH9pv40FGya
sanIoWNf1ERTbQAN3ka7RRta6NBN3yv7M5AG7QStiY5vdIzXFSR+D6Jh68SN
9wzWPtj/xVKc+pgGqnzsjXGBPlRlf98o+oSGuAd1RxaP9aHOl+2g85q2bZxf
ZjLuQ6OqceqdNS25Q6Bk040+fCtzENNd04uWp7y2P+nDla9yaiNr+5W9c1MX
TOlDkzSbr/aa9l1KYD1U1QfmvvshN9fO11NvqpWn90Hmi/dvu7X8eJ4sB6n9
6IPq0D6Lg2v5T42HCB/kYOCE9BvD9340nA0RDkjbwUDsK3M3lrX68+RLv0kL
MbCvpPzC/jV/+HrO6ubJMJArKBvHtebf/Qej6ccIBlo/CXTVetFQ1Om3tUuX
gUuCiW731vxfFBe+eduEAQ8fzdfr7tHg3GmjmHuDAYUt1yOCb9HwVpw16m8v
Bn7wm12IuLHWb95vVmaCGLjGtC/W7RoNZuKDlZKJDHg/SAopWOuPSO+HQk2Z
DBTu/6XIb0NDZ4egv2MZA1Fs6nqmljSc9rbQS6Ew0NdqnWRuQoNqRy9FkKMf
fpruDm+0aLgr5qlUsb0f1jy/62nqa/V57Y4x29+P4foMy3GVNb/FLlhFKfdD
giV/S6IsDXu8qBM81/qho5+g5cVPg2m7u372vX6U1Cge/2cHDS9Ed2Sd8e8H
iz23YPLafeNsN3R/mtCPrf5uJwxYaVgVaWPe2N6PuaLCSLlxKpTv37BOYvTD
Yova6uUhKm63cX8+PtmPCtahGrdeKqY9DR4/YBtAwatRWe0WKhitTdt/KQ5A
7K3GqaRMKio8asWnYgYgd1X+UNp1Kry/lBq22w2i/7ui4+N+CjY8rz304NYg
dp+wEdpDoeCpcRuL5KNBPIrrDYtupCCKPprpFzsIluEuect8CvImSJzHOgbR
KRy5wPOYgvGNDjUJ6kOgSl1N8ZShwEhtu8I1/mG0urAHt9/qhESWMy9H2wjG
5Brnlf5txzUSW/FJyW/gtUpOVen+ihIH9vg6/UlczBb2+BrVDOuRjTxmlyah
wjWZdNqvGZutNvrPOkwivU74SNeNZlw02eCyy3cSz3UlH+7WacYvLVbCqWRt
fWPgb70fTVASYmZsFZ2CYapLkrVpEwr6lveeX/cdfKnGQ8bCjTAVm9e/aToN
d9LICf/xOvBV3Oaot5gG13fu7enddegyXPkkYDcNt1p6XG9DHUwfsCk135yG
TIRtreW7NU3lPSD6ZBpiytTKBac17auyTC+fxuvbU8Oac7W4MOAbryM0g7/3
8ctbsNXiYuTOGcHpGTiNCt8Z163BrpVL5ecXZ8DEpqGwmahBl/nrJ89+z6DN
0TpUXrYGJkLiYisbZ2Ent299ys4aGH1QvkwVnIW1+0WelZFq6NeYdzz9exYs
U7/oVx5VQ302sfBX3iwkz1//xV/1CSI6Mg87POfwwcHJxfViFTZbvwsMI88h
216klG5QhRnPg2FngubQuCRrfvZEFYoy+d40RcyBX9znoaFkFXR3stRUZ8/h
z+IOq3qmKriMtrHnjc3hSOnVW3bJlSj0vRXywnAe9Q3+ngq/PkKnqiDeWGIB
dmHhlj7FFeDLzRd9LbsAKPTIv82qwHhSXtbE0QUsT6gEdKRW4HFgzqcHmgtw
bDv8DBEVaDnzYTTNfAF63uM+FrcqcI6RLM0UugA+Ns9LX6UrYLbyoiJlcQFD
1bECYefLcV3hFuNH+SJuS4uMz9iXwpaR+k9DzSKaBa9tGz9fiosBdNuYpkWc
cpX2m9YuhXa31iTRvQhC9Ym4gGgpBLz4fvotLkLvJ/N+7m8l+FJTTtousYSR
Qu5N0s4lkDTi0JKJXEL/tMTAX17FmHCNS3dwXcY/uY4+xz8Wov9bGHn3vWUY
mQktH8spRKeF/4XmB8uQ9r/SoZxciArd6+wyz5bhqz2SbvqkEOEHNGx+pC5j
wrd9gtW0EKrtI7v9+5YhKeXnTFooQLCs5ONEnR/QUPL1bT1cANnZEgeGwE+k
u3maKH3Kw32HrSfdPvyCgd/Niln7HAi8+5rTZbmCJfbjMkzKWfg8WqtmvvgH
S6T6iHVeH2C5tF3SxIiJGPPd4Wlbvvav4NOQ9ZFgJlw3uPcXrb5FmhLHSbVF
ZkLnrDm/Q2XK2vvVP3GoZR1xnKZ8nx6fBAP1hG28USyE+gsdxp++N6gbyl7S
s1pPTKwfeaV6/h9MOnrud1RiJXbbLQUl9CYgbLrfnHc9G3G/axcPLSEeQyYr
A+/obISN1Onxxt5Y8F3eRtfI3UBMtXiOkD5Go+1K5ZiD50bieF+YyPxyJBQM
RZXvGLETEWllXmaKr8CvKh63Q5CDMMp5Y1ta/BJjNQfvFvzLQQSTHYUVbF/A
XI4WRZRvIvycOU6RSOE4H3ew+bz/ZsJajq1rcToMv6fEtM5bbSFepqWQ2L+E
Yp9y/Zd/JTgJj9/8XB8pIZAUvdx6Z4GTEIxLPuS2GIyhn1l8c01cxIOWOmFz
nmBwDTcf/XNqK7En2uZKRcJTMJfHBbgVbiVcYxU7XvE+wYi901/TB7gJobYn
gbFZQXgc4p96OICbgMJqnvW9QPgdWmWMLHAThVN75O8RATiuWSVgfWEb8YOz
R6hDwh9zUuTogbJtxD7l0MbDh/2wHBRf3C5GIpIU4nLFpH1RZssx+PQZidCq
FR3l0veBSZdVskEIiShtPKurdsoH83rFjtvCSMTpOztyb2r5QOzI1fnwFyTC
WIo5rBs+eMHSzBoTQyLUa5Xd8qV94BwfIpKWRiI4xbYGxm3zwd4uXufPn0mE
e6iGkySFjCK96zIBdSTi5E/THK82Mow+1i3qNJCI6rHq+a8tZDxOuevV3Ewi
xlIVLO7UkrHs1hPc0UEi3u76TWkrJOMLKT57cJBEkA25V/OiyXD0W3ZPHCYR
HEwvs3a8IoPtl4Gy3b8kYiqGzfROOBnKA8zV376RiMBbpx/hKRkpHy53zsyQ
iDJmOXmKFxkaB0ois+dIBMv7Yi94kEF/yWN+a4FE7H/pW5Rymwwer+p/l5dJ
xNHb4evuXyfj/Sz/u6KfJKLP4zDXNycydGzdXDx+k4hnbRWbjB3IGKY1y6n+
IRGner8vfbIlw1tP+MfqKom4stexTfYyGf8DzeK/fw==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 5}, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.625155566327214*^9, 3.625251121800785*^9, 3.625251235794174*^9, 
   3.6252513107844777`*^9, 3.6252514900330143`*^9, 3.6252523354592366`*^9, 
   3.6252524169188147`*^9, 3.625252497472047*^9, 3.6252525381471376`*^9, 
   3.6252527777754655`*^9, 3.6252528326391735`*^9, 3.625253066541752*^9, {
   3.625253230973247*^9, 3.6252532487871666`*^9}, 3.62538352981783*^9, 
   3.625383690264112*^9, 3.6253838021787086`*^9, 3.6253838833924513`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"mAv2", "[", "T_", "]"}], ":=", 
   FractionBox[
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Chop", "[", 
          RowBox[{"es2", "[", 
           RowBox[{"[", 
            RowBox[{"2", ",", "n"}], "]"}], "]"}], "]"}], ".", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "4"], 
           RowBox[{"Sum", "[", 
            RowBox[{
             RowBox[{"SZm", "[", 
              RowBox[{"RCtoNS", "[", 
               RowBox[{"k", ",", "m"}], "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "1", ",", "L"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"m", ",", "1", ",", "L"}], "}"}]}], "]"}]}], ")"}], ".", 
         RowBox[{"Chop", "[", 
          RowBox[{"es2", "[", 
           RowBox[{"[", 
            RowBox[{"2", ",", "n"}], "]"}], "]"}], "]"}]}], ")"}], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"ev2", "[", 
           RowBox[{"[", "n", "]"}], "]"}], "T"]}]]}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "1", ",", "nB"}], "}"}]}], "]"}], 
    RowBox[{"ZZ2", "[", 
     FractionBox["1", "T"], "]"}]]}], ";"}], "\n", 
 RowBox[{"gmAv2", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{"mAv2", "[", "T", "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"T", ",", "0.001", ",", "5."}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "5"}], "}"}], ",", "All"}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.624045861451682*^9, 3.624045870748541*^9}, {
   3.6240461427324524`*^9, 3.624046159435549*^9}, {3.6240465942004337`*^9, 
   3.624046625637878*^9}, {3.6240467831063595`*^9, 3.624046796434462*^9}, 
   3.6240842011997423`*^9, {3.624085507889202*^9, 3.624085549697126*^9}, {
   3.624102985975006*^9, 3.6241029897253256`*^9}, {3.624115035258959*^9, 
   3.6241150824502525`*^9}, 3.6251535860108685`*^9, 3.6251536476719933`*^9, 
   3.6251550951959944`*^9, {3.625155595970248*^9, 3.6251556101745033`*^9}, {
   3.625251200041382*^9, 3.625251206229372*^9}, {3.6252513437089453`*^9, 
   3.625251363085487*^9}, 3.6252523462726383`*^9, 3.6252524263727217`*^9, {
   3.625252597605012*^9, 3.625252626388501*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJw91nk0lfkfB/CkIhnFFakYJrJFCyGq90NFRJhKZEJUQpaxRUKaopTKTIu4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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.02},
  Method->{},
  PlotRange->{{0, 5}, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.6251556198471017`*^9, 3.6252511274887342`*^9, 3.6252512075888176`*^9, 
   3.62525123904443*^9, {3.625251354162907*^9, 3.62525136431996*^9}, {
   3.6252514960178733`*^9, 3.6252515091439*^9}, 3.625252385338192*^9, 
   3.6252524274508963`*^9, 3.625252501222355*^9, 3.6252525467728205`*^9, {
   3.6252526577503605`*^9, 3.625252665954129*^9}, 3.6252527838384504`*^9, 
   3.625252836030067*^9, 3.625253071918255*^9, {3.6252532338015957`*^9, 
   3.625253251521758*^9}, 3.6253835484598627`*^9, 3.6253836955369215`*^9, 
   3.625383807217518*^9, 3.6253838883688602`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "M", "]"}]], "Input",
 CellChangeTimes->{{3.6251556597253246`*^9, 3.6251556691323233`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", 
      RowBox[{"-", "0.5`"}], "1.`", "0.`", "1.`", "0.`", "0.`", "0.`", "0.`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "1.`", 
      RowBox[{"-", "0.5`"}], "0.`", "0.`", "0.`", "0.`", "0.`", "1.`", "0.`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "1.`", "0.`", "0.`", "1.`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "1.`", "0.`", "0.`", 
      RowBox[{"-", "0.5`"}], "0.`", "0.`", "0.`", "1.`", "0.`", "0.`", "0.`", 
      "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "1.`", "0.`", "0.`", "1.`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "1.`", "0.`", "1.`", 
      RowBox[{"-", "2.`"}], "0.`", "0.`", "0.`", "1.`", "0.`", "1.`", "0.`", 
      "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.5`", "0.`", "0.`", 
      "0.`", "1.`", "0.`", "1.`", "0.`", "0.`"},
     {"0.`", "0.`", "1.`", "0.`", "1.`", "0.`", "0.`", "0.`", 
      RowBox[{"-", "0.5`"}], "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "1.`", "0.`", "1.`", "0.`", "0.`", "0.`", 
      RowBox[{"-", "2.`"}], "1.`", "0.`", "1.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "1.`", "0.`", "0.`", "1.`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "1.`", "0.`", "0.`", 
      "0.`", "0.5`", "0.`", "0.`", "1.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "1.`", "0.`", "0.`", "1.`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "1.`", "0.`", "0.`", 
      "0.`", "0.`", "0.`", "0.5`", "1.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", 
      "0.`", "1.`", "0.`", "1.`", "0.5`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "3.`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6251556703355055`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "M2", "]"}]], "Input",
 CellChangeTimes->{3.625155677992405*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", 
      RowBox[{"-", "0.5`"}], "0.5`", "0.`", "0.5`", "0.`", "0.`", "0.`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.5`", 
      RowBox[{"-", "0.5`"}], "0.`", "0.`", "0.`", "0.`", "0.`", "0.5`", "0.`",
       "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.5`", "0.`", "0.`", "0.5`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.5`", "0.`", "0.`", 
      RowBox[{"-", "0.5`"}], "0.`", "0.`", "0.`", "0.5`", "0.`", "0.`", "0.`",
       "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.5`", "0.`", "0.`", "0.5`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.5`", "0.`", "0.5`", 
      RowBox[{"-", "1.`"}], "0.`", "0.`", "0.`", "0.5`", "0.`", "0.5`", "0.`",
       "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.5`", "0.`", "0.`", 
      "0.`", "0.5`", "0.`", "0.5`", "0.`", "0.`"},
     {"0.`", "0.`", "0.5`", "0.`", "0.5`", "0.`", "0.`", "0.`", 
      RowBox[{"-", "0.5`"}], "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.5`", "0.`", "0.5`", "0.`", "0.`", "0.`", 
      RowBox[{"-", "1.`"}], "0.5`", "0.`", "0.5`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.5`", "0.`", "0.`", "0.5`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.5`", "0.`", "0.`", 
      "0.`", "0.5`", "0.`", "0.`", "0.5`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.5`", "0.`", "0.`", "0.5`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.5`", "0.`", "0.`", 
      "0.`", "0.`", "0.`", "0.5`", "0.5`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", 
      "0.`", "0.5`", "0.`", "0.5`", "0.5`", "0.`"},
     {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", 
      "0.`", "0.`", "0.`", "0.`", "0.`", "2.`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6251556782892733`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"geAn", ",", "geAn2"}], "]"}]], "Input",
 CellChangeTimes->{{3.625155766827604*^9, 3.62515576921842*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJw90ws0VGsbB3ARCSlNnaP6KkqpcQnJ7TierRBKQxfhFBqljFwqt1OUUhQl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      "]]}}, {{}, {}, 
    {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJwd0wk4VWkYB/BLUUmEpkEpSjUYLbZKy3u0KEo0RZamLElUVGQJuW0qsk2Y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      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -0.76},
  Method->{},
  PlotRange->{{0, 5}, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.6251557706560335`*^9, 3.625251430856472*^9, 
  3.625252443420944*^9, 3.625252504441386*^9, 3.625252550210638*^9, 
  3.625252787635661*^9, 3.6252528408429937`*^9, 3.6252530743091154`*^9, 
  3.6252532541313753`*^9, 3.6253835518762693`*^9, 3.6253836995929284`*^9, 
  3.625383810384323*^9, 3.625383891754066*^9, 3.6253839288197308`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"gmAv", ",", "gmAv2"}], "]"}]], "Input",
 CellChangeTimes->{{3.625155729605853*^9, 3.625155744435196*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJw91ns0ldkbB3AiihniNZV+oygRhUlKib67yEQJFaFCx6RIKJJcotR0MyFF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      "]]}}, {{}, {}, 
    {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJw91nk0lfkfB/CkIhnFFakYJrJFCyGq90NFRJhKZEJUQpaxRUKaopTKTIu4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      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.02},
  Method->{},
  PlotRange->{{0, 5}, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.6251557452477603`*^9, 3.6252514337473135`*^9, 
  3.6252524460461054`*^9, 3.6252525066915255`*^9, 3.625252551976368*^9, 
  3.6252526719233403`*^9, 3.6252527902608223`*^9, 3.6252528452026787`*^9, 
  3.6252530770280385`*^9, 3.6252532558190084`*^9, 3.6253835551054745`*^9, 
  3.625383703882936*^9, 3.62538382033714*^9, 3.6253839010516825`*^9, 
  3.6253839310817347`*^9}]
}, Open  ]]
},
WindowSize->{1558, 897},
WindowMargins->{{49, Automatic}, {Automatic, 6}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1782, 49, 241, "Input"],
Cell[2342, 71, 2595, 71, 147, "Input"],
Cell[4940, 144, 4382, 140, 375, "Input"],
Cell[CellGroupData[{
Cell[9347, 288, 844, 21, 36, "Input"],
Cell[10194, 311, 5511, 136, 46, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15742, 452, 518, 12, 36, "Input"],
Cell[16263, 466, 19909, 526, 609, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36209, 997, 2152, 64, 83, "Input"],
Cell[38364, 1063, 19154, 506, 609, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57555, 1574, 1235, 36, 60, "Input"],
Cell[58793, 1612, 19152, 506, 609, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77982, 2123, 391, 10, 36, "Input"],
Cell[78376, 2135, 19172, 506, 609, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[97585, 2646, 1970, 58, 83, "Input"],
Cell[99558, 2706, 19122, 506, 609, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[118717, 3217, 2972, 86, 194, "Input"],
Cell[121692, 3305, 19268, 507, 609, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[140997, 3817, 673, 19, 60, "Input"],
Cell[141673, 3838, 19315, 510, 609, "Output"]
}, Open  ]],
Cell[161003, 4351, 258, 7, 36, "Input"],
Cell[CellGroupData[{
Cell[161286, 4362, 413, 10, 36, "Input"],
Cell[161702, 4374, 19576, 518, 609, "Output"]
}, Open  ]],
Cell[181293, 4895, 2557, 48, 106, "Input"],
Cell[183853, 4945, 431, 10, 60, "Input"],
Cell[184287, 4957, 1754, 50, 150, "Input"],
Cell[CellGroupData[{
Cell[186066, 5011, 1300, 39, 103, "Input"],
Cell[187369, 5052, 4718, 82, 291, "Output"],
Cell[192090, 5136, 3983, 70, 291, "Output"],
Cell[196076, 5208, 6838, 117, 293, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[202951, 5330, 2301, 59, 111, "Input"],
Cell[205255, 5391, 3811, 67, 299, "Output"]
}, Open  ]],
Cell[209081, 5461, 89, 1, 60, "Input"],
Cell[209173, 5464, 450, 10, 52, "Input"],
Cell[209626, 5476, 298, 9, 53, "Input"],
Cell[209927, 5487, 694, 16, 83, "Input"],
Cell[210624, 5505, 432, 10, 60, "Input"],
Cell[211059, 5517, 1662, 49, 150, "Input"],
Cell[CellGroupData[{
Cell[212746, 5570, 1376, 40, 103, "Input"],
Cell[214125, 5612, 4749, 83, 293, "Output"],
Cell[218877, 5697, 4256, 75, 292, "Output"],
Cell[223136, 5774, 6728, 115, 299, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[229901, 5894, 2452, 61, 111, "Input"],
Cell[232356, 5957, 4941, 86, 299, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[237334, 6048, 133, 2, 36, "Input"],
Cell[237470, 6052, 2737, 52, 546, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[240244, 6109, 106, 2, 28, "Input"],
Cell[240353, 6113, 2769, 52, 546, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[243159, 6170, 152, 3, 28, "Input"],
Cell[243314, 6175, 7437, 128, 291, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[250788, 6308, 153, 3, 36, "Input"],
Cell[250944, 6313, 7827, 134, 332, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
